Bug 1459894 - Newly created LV for brick entry should be of type thinlv
Newly created LV for brick entry should be of type thinlv
Status: CLOSED CURRENTRELEASE
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy (Show other bugs)
0.10.7-0.0.18
x86_64 Linux
medium Severity medium
: ovirt-4.1.5
: 0.10.7-0.0.22
Assigned To: Devyani Kota
RamaKasturi
:
Depends On:
Blocks: Gluster-HC-3 RHHI-1.1-Approved-Backlog-BZs
  Show dependency treegraph
 
Reported: 2017-06-08 09:16 EDT by SATHEESARAN
Modified: 2017-08-28 06:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: cockpit-ovirt-0.10.7-0.0.22
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 04:02:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sasundar: ovirt‑4.1?
sasundar: planning_ack?
rule-engine: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)
Screenshot that shows that new LV entry without thinp checked (51.75 KB, image/png)
2017-06-08 09:17 EDT, SATHEESARAN
no flags Details
Attaching screenshot for thinp checkbox checked (109.76 KB, image/png)
2017-08-16 09:41 EDT, RamaKasturi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79896 master MERGED wizard: make the newly created lv, of type thinlv by default 2017-07-31 15:33 EDT
oVirt gerrit 79897 ovirt-4.1 MERGED wizard: make the newly created lv, of type thinlv by default 2017-07-31 15:33 EDT

  None (edit)
Description SATHEESARAN 2017-06-08 09:16:15 EDT
Description of problem:
-----------------------
While initiating 'Hosted engine with Gluster' from cockpit UI, then selecting the 'Bricks' tab of the deployment wizard and creating the new LV for bricks creates the LV (brick) entry with 'thinp' not checked by default, which means the LV is created thick. But its the thinlv that is suited/required for the RHHI deployment

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.18

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Start 'Hosted Engine with Gluster' deployment
2. On 'Bricks' tab, create one more LV for brick

Actual results:
---------------
The new LV entry doesn't have the thinp checkbox checked

Expected results:
------------------
The new LV entry should have the thinp checkbox checked (i.e) the newly created LV for the brick should be of type 'thin LV'
Comment 1 SATHEESARAN 2017-06-08 09:17 EDT
Created attachment 1286149 [details]
Screenshot that shows that new LV entry without thinp checked
Comment 2 RamaKasturi 2017-08-16 09:41:22 EDT
Verified and works fine with build cockpit-ovirt-dashboard-0.10.7-0.0.23.el7ev.noarch.

The new LV entry has the thinp checkbox checked. Attaching screenshot for the same.
Comment 3 RamaKasturi 2017-08-16 09:41 EDT
Created attachment 1314142 [details]
Attaching screenshot for thinp checkbox checked

Note You need to log in before you can comment on or make changes to this bug.